%define ver_major 5.5
%def_without newtranslations

Name: gcalctool
Version: %ver_major.42
Release: alt1

Summary: gcalctool - GTK2 based desktop calculator
License: GPL
Group: Sciences/Mathematics

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
%if_with newtranslations
Source1: %name-0.4.16.ru.po.bz2
%endif

%define libbonobo_ver 2.8.1
%define gtk_ver 2.6.4
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver
Requires: libgtk2 >= %gtk_ver
Requires: libbonobo2 >= %libbonobo_ver

BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: menu-devel >= 0.1.0

# Automatically added by buildreq on Tue Mar 08 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound flex fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
This package provides gcalctool, the calculator application that was
previously in the OpenWindows Deskset of the Solaris 8 operating system.

It incorporates a multiple precision arithmetic packages based on the work
of Professor Richard Brent.

A single graphics driver for GTK2 included with this package.

%prep
%setup -q
%__subst 's,Расшренный,Расширенный,' po/ru.po

%if_with newtranslations
bzcat %SOURCE1 po/ru.po
%endif

%build
%configure --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# man page
%__install -pD -m644 %name/%name.1 %buildroot%_man1dir/%name.1

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/%group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
#%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO MAINTAINERS

%changelog
* Mon Apr 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 5.5.42-alt1
- new version.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 5.5.41-alt1
- 5.5.41

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.4.18-alt1
- 4.4.18

* Sat Jul 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.4.16-alt1
- 4.4.16

* Thu Jul 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.4.14-alt1
- 4.4.14

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.3.51-alt1
- 4.3.51

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 4.3.42-alt1
- 4.3.42

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.3-alt1
- 4.3.3

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.2-alt1
- 4.3.2

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.3.0-alt1
- 4.3.0

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.99-alt1
- 4.2.99

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.86-alt1
- new version.

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 4.2.83-alt1
- First build for Sisyphus.

